#!/usr/bin/env python
# -*- coding: UTF-8 -*-

# 设置Dr Watson
import ctypes
import shutil
import os
import CTerm

MB_YESNO=4
IDYES=6
IDNO=7
MB_ICONQUESTION=0x00000020

msgbox = ctypes.windll.user32.MessageBoxA
info="""您是否愿意帮助CTerm改进程序？\r\n
选择“是”将执行后面的操作，以便在CTerm出错的时候记录调试信息。\r\n
您可以把这些信息发给作者，用于调试错误。\r\n
详情请参考CTerm目录下“调试方法.txt”\r\n
将执行如下操作：导入Dr. Watson的相关注册信息到注册表，\r\n
这会把系统的默认调试工具设为Dr. Watson。\r\n
是否继续？"""
c=msgbox(0, info, "调试信息", MB_YESNO|MB_ICONQUESTION)

ctermdir=CTerm.GetWorkDir()

if c==IDYES:
	#print "yes"
	os.startfile( ctermdir + "DrWatson.reg" )
#else:
#	print "no"

#只运行一次，清除脚本信息
scriptdir=CTerm.GetScriptDir()+"\\"
f=open( scriptdir+'onstart.lst' )		#onstart.lst是启动时执行的模块列表
d=f.read().split('\n')
f.close()

f=open(scriptdir+'onstart.lst', 'w')
for s in d:
	if s:
		if s!="setupdw.py":
			f.write(s+"\n")
f.close()